version: '2'
services:
  app_eventos_oscar-app:
    image: app_eventos_oscar
    environment:
      - _JAVA_OPTIONS=-Xmx512m -Xms256m
      - SPRING_PROFILES_ACTIVE=prod,swagger
      - MANAGEMENT_METRICS_EXPORT_PROMETHEUS_ENABLED=true
      - SPRING_DATASOURCE_URL=jdbc:postgresql://app_eventos_oscar-postgresql:5432/app_eventos_oscar
      - JHIPSTER_SLEEP=30 # gives time for other services to boot before the application
    ports:
      - 8080:8080
  app_eventos_oscar-postgresql:
    extends:
      file: postgresql.yml
      service: app_eventos_oscar-postgresql
